summaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2021-10-15 11:57:36 -0400
committerGitHub <noreply@github.com>2021-10-15 11:57:36 -0400
commita3643623bda776dd0123980eb214d3247975179f (patch)
tree84d6338d22e1fa96288a94055847c7c4f3d9e31d /.travis
parent7ae0481d9af52822645ed01fb701a540073e1349 (diff)
Migrated release build process from Travis CI to GitHub Actions. (#11055)
* Initial version of release build workflow. * Consolidate static and dist build CI. * Typo fixes. * Ensure dependencies are present for dist tarball build. * Further typo fixes. * Convert Travis CI to trigger newrelease build workflow. * Fix actionlint errors. * Fix distfile name handling. * Fix handling of dist directory.
Diffstat (limited to '.travis')
-rw-r--r--.travis/trigger_artifact_build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/.travis/trigger_artifact_build.sh b/.travis/trigger_artifact_build.sh
new file mode 100644
index 0000000000..cbc295340f
--- /dev/null
+++ b/.travis/trigger_artifact_build.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+token="${1}"
+version="${2}"
+type="${3}"
+
+resp="$(curl -X POST \
+ -H 'Accept: application/vnd.github.v3+json' \
+ -H "Authorization: Bearer ${token}" \
+ "https://api.github.com/repos/netdata/netdata/actions/workflows/release-build.yml/dispatches" \
+ -d "{\"ref\": \"master\", \"inputs\": {\"version\": \"${version}\", \"type\": \"${type}\"}}")"
+
+if [ -z "${resp}" ]; then
+ echo "Successfully triggered release artifact build."
+ exit 0
+else
+ echo "Failed to trigger release artifact build. Output:"
+ echo "${resp}"
+ exit 1
+fi